Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.application
Class DebugLifecycleFactory

    java.lang.Object
      javax.faces.lifecycle.LifecycleFactory
          org.ajax4jsf.application.DebugLifecycleFactory

All Implemented Interfaces:
  javax.faces.FacesWrapper<javax.faces.lifecycle.LifecycleFactory>

    public class DebugLifecycleFactory

extends javax.faces.lifecycle.LifecycleFactory

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:57:12 $
Author:
  shura (latest modification by $Author: alexsmirnov $)

Field Summary

Fields inherited from class javax.faces.lifecycle.LifecycleFactory
`DEFAULT_LIFECYCLE`

Constructor Summary
`DebugLifecycleFactory(javax.faces.lifecycle.LifecycleFactory defaultFactory)`

Method Summary
`void` | `addLifecycle(java.lang.String lifecycleId, javax.faces.lifecycle.Lifecycle lifecycle)`
`javax.faces.lifecycle.Lifecycle` | `getLifecycle(java.lang.String lifecycleId)`
`java.util.Iterator` | `getLifecycleIds()`

Methods inherited from class javax.faces.lifecycle.LifecycleFactory
`getWrapped`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DebugLifecycleFactory

    public DebugLifecycleFactory(javax.faces.lifecycle.LifecycleFactory defaultFactory)

Parameters:
  `defaultFactory` -

Method Detail

### addLifecycle

    public void addLifecycle(java.lang.String lifecycleId,
                             javax.faces.lifecycle.Lifecycle lifecycle)

  Specified by:
    `addLifecycle` in class `javax.faces.lifecycle.LifecycleFactory`

### getLifecycle

    public javax.faces.lifecycle.Lifecycle getLifecycle(java.lang.String lifecycleId)

  Specified by:
    `getLifecycle` in class `javax.faces.lifecycle.LifecycleFactory`

### getLifecycleIds

    public java.util.Iterator getLifecycleIds()

  Specified by:
    `getLifecycleIds` in class `javax.faces.lifecycle.LifecycleFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.